{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>{{title}}</title>

    <!-- Custom fonts for this template -->
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">
    <!-- website icon -->
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'img/icon.png' %}" />

    <!-- Custom styles for this template -->
    <link href="{% static 'css/sb-admin-2.min.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'css/navbar.css' %}">
    <link href="{% static 'css/style.css' %}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="{% static 'css/media-query.css' %}">

    <!-- Custom styles for this page -->
    <link href="{% static 'vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

    {% block import %}{% comment %}Buat include external css{% endcomment %}{% endblock %}

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">
        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar shadow mb-4 p-3">
                    <i id="toggle" class="fas fa-bars ml-2"></i>
                      <div id="links-desktop">
                        <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                          <li class="nav-item active">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/">Dashboard</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/rumahsakit">Rumah Sakit</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/berita">Berita</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/forum">Forum</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/kuis">Kuis</a>
                          </li>
                        </ul>
                      </div>
                      
                      <div id="links-mobile" class="shadow p-3 mb-5 bg-white rounded">
                        <div id="close">
                            <i class="fas fa-times"></i>
                        </div>
                        <ul class="navbar-nav mr-auto mt-lg-0">
                          <li class="nav-item active">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/">Dashboard</a>
                          </li>
                          <li class="nav-item active">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/">Rumah Sakit</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/berita">Berita</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/forum">Forum</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link font-weight-bold" style="color: #5f5b5b;" href="/kuis">Kuis</a>
                          </li>
                        </ul>
                      </div>
                      

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">
                            <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                aria-labelledby="searchDropdown">
                                <form class="form-inline mr-auto w-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control bg-light border-0 small"
                                            placeholder="Search for..." aria-label="Search"
                                            aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </li>

                        {% if user.is_authenticated %}
                        <!-- Button trigger modal -->
                        <div class="d-flex align-items-center">
                            <!-- Desktop -->
                        <button type="button" class="btn btn-warning" data-toggle="modal" data-target="#questionModal" id="desktop-question">
                            <i class="far fa-question-circle mr-1"></i>Punya Pertanyaan?
                          </button>
                          <!-- Mobile -->
                          <button type="button" class="btn btn-warning" data-toggle="modal" data-target="#questionModal" id="mobile-question">
                            <i class="far fa-question-circle"></i>
                          </button>
                        </div>

                        <!-- Modal -->
                        <div class="modal fade" id="questionModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                <h5 class="modal-title text-dark" id="exampleModalLabel">Punya Pertanyaan?</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                </div>
                                <div class="modal-body">
                                <form action="/add-question/" method="POST">
                                    {% csrf_token %}
                                    <div class="form-group">
                                        <input type="hidden" value="{{username}}" name="username">
                                        <label for="questionArea" class="text-dark mb-2">Tulis pertanyaan di kolom berikut. Kami akan berusaha menjawabnya melalui forum.</label>
                                        <textarea class="form-control" name="question" id="questionArea" rows="6"></textarea>
                                    </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-info">Kirim</button>
                                    </div>
                                </form>
                            </div>
                            </div>
                        </div>

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information --> 
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{username}}</span>
                                <img class="img-profile rounded-circle"
                                    src="{{user.profile.profile_pic.url}}">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" href="/profil">
                                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Profile
                                </a>
                                <a class="dropdown-item" href="/setting">
                                    <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Settings
                                </a>
                                <a class="dropdown-item" href="/password">
                                    <i class="fas fa-user-lock fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Security
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Logout
                                </a>
                            </div>
                        </li>
                        {% else %}
                        <li class="nav-item">
                            <a class="nav-link text-primary" href="/login">Login</a>
                        </li>

                        {% endif %}

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
               {% block content %}
               {% endblock %}
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white" style="padding: 1rem !important;">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Made by <b>PBP F-06</b></span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <a class="btn btn-danger" href="/logout">Logout</a>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
    <script type='text/javascript' src='https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js'></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'js/sb-admin-2.min.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'vendor/datatables/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'js/demo/datatables-demo.js' %}"></script>

    <!-- Page level plugins -->
    <script src="{% static 'vendor/chart.js/Chart.min.js' %}"></script>

    <!-- Page level custom scripts -->
    <script src="{% static 'js/doughnut.js' %}"></script>
    <script src="{% static 'js/area.js' %}"></script>
    <script src="{% static 'js/navbar.js' %}"></script>


    {% block script %}{% comment %}buat include external js{% endcomment %}{% endblock %}

    <script src="{% static 'js/delete-user.js' %}"></script> {% comment %}file nya gaada {% endcomment %}

</body>

</html>